import { MyResponseType } from '@/common';
import { request } from '@umijs/max';

export const Apis = {
  Activity: {
    Activities: {
      List(data?: ApiTypes.Activity.Activities.List): Promise<MyResponseType> {
        return request('company/activity/activities/list', { data });
      },
      Store(data: ApiTypes.Activity.Activities.Store): Promise<MyResponseType> {
        return request('company/activity/activities/store', { data });
      },
      Update(data: ApiTypes.Activity.Activities.Update): Promise<MyResponseType> {
        return request('company/activity/activities/update', { data });
      },
      ChangePublishStatus(data: ApiTypes.Activity.Activities.ChangePublishStatus): Promise<MyResponseType> {
        return request('company/activity/activities/change_publish_status', { data });
      },
      Show(data: ApiTypes.Activity.Activities.Show): Promise<MyResponseType> {
        return request('company/activity/activities/show', { data });
      },
      SoftDelete(data: ApiTypes.Activity.Activities.SoftDelete): Promise<MyResponseType> {
        return request('company/activity/activities/soft_delete', { data });
      },
      Restore(data: ApiTypes.Activity.Activities.Restore): Promise<MyResponseType> {
        return request('company/activity/activities/restore', { data });
      },
      Delete(data: ApiTypes.Activity.Activities.Delete): Promise<MyResponseType> {
        return request('company/activity/activities/delete', { data });
      },
    },
    ActivityEnrolls: {
      List(data?: ApiTypes.Activity.ActivityEnrolls.List): Promise<MyResponseType> {
        return request('company/activity/activity_enrolls/list', { data });
      },
      Show(data: ApiTypes.Activity.ActivityEnrolls.Show): Promise<MyResponseType> {
        return request('company/activity/activity_enrolls/show', { data });
      },
      ChangeStatus(data: ApiTypes.Activity.ActivityEnrolls.ChangeStatus): Promise<MyResponseType> {
        return request('company/activity/activity_enrolls/change_status', { data });
      },
    },
  },
  Archive: {
    HouseOccupants: {
      List(data?: ApiTypes.Archive.HouseOccupants.List): Promise<MyResponseType> {
        return request('company/archive/house_occupants/list', { data });
      },
      CustomerList(data?: ApiTypes.Archive.HouseOccupants.CustomerList): Promise<MyResponseType> {
        return request('company/archive/house_occupants/customer_list', { data });
      },
      CustomerHouseByPhone(data: ApiTypes.Archive.HouseOccupants.CustomerHouseByPhone): Promise<MyResponseType> {
        return request('company/archive/house_occupants/customer_house_by_phone', { data });
      },
      Update(data: ApiTypes.Archive.HouseOccupants.Update): Promise<MyResponseType> {
        return request('company/archive/house_occupants/update', { data });
      },
      Show(data: ApiTypes.Archive.HouseOccupants.Show): Promise<MyResponseType> {
        return request('company/archive/house_occupants/show', { data });
      },
      Delete(data: ApiTypes.Archive.HouseOccupants.Delete): Promise<MyResponseType> {
        return request('company/archive/house_occupants/delete', { data });
      },
      ChangeIsContact(data: ApiTypes.Archive.HouseOccupants.ChangeIsContact): Promise<MyResponseType> {
        return request('company/archive/house_occupants/change_is_contact', { data });
      },
    },
    HouseRegisters: {
      List(data?: ApiTypes.Archive.HouseRegisters.List): Promise<MyResponseType> {
        return request('company/archive/house_registers/list', { data });
      },
      Store(data: ApiTypes.Archive.HouseRegisters.Store): Promise<MyResponseType> {
        return request('company/archive/house_registers/store', { data });
      },
      Update(data: ApiTypes.Archive.HouseRegisters.Update): Promise<MyResponseType> {
        return request('company/archive/house_registers/update', { data });
      },
      MoveOut(data: ApiTypes.Archive.HouseRegisters.MoveOut): Promise<MyResponseType> {
        return request('company/archive/house_registers/move_out', { data });
      },
      MoveIn(data: ApiTypes.Archive.HouseRegisters.MoveIn): Promise<MyResponseType> {
        return request('company/archive/house_registers/move_in', { data });
      },
      RemoveOwner(data: ApiTypes.Archive.HouseRegisters.RemoveOwner): Promise<MyResponseType> {
        return request('company/archive/house_registers/remove_owner', { data });
      },
      ChangeOccupant(data: ApiTypes.Archive.HouseRegisters.ChangeOccupant): Promise<MyResponseType> {
        return request('company/archive/house_registers/change_occupant', { data });
      },
      Show(data: ApiTypes.Archive.HouseRegisters.Show): Promise<MyResponseType> {
        return request('company/archive/house_registers/show', { data });
      },
      Audit(data: ApiTypes.Archive.HouseRegisters.Audit): Promise<MyResponseType> {
        return request('company/archive/house_registers/audit', { data });
      },
      Delete(data: ApiTypes.Archive.HouseRegisters.Delete): Promise<MyResponseType> {
        return request('company/archive/house_registers/delete', { data });
      },
    },
  },
  Asset: {
    AssetBuildings: {
      List(data?: ApiTypes.Asset.AssetBuildings.List): Promise<MyResponseType> {
        return request('company/asset/asset_buildings/list', { data });
      },
      Store(data: ApiTypes.Asset.AssetBuildings.Store): Promise<MyResponseType> {
        return request('company/asset/asset_buildings/store', { data });
      },
      Update(data: ApiTypes.Asset.AssetBuildings.Update): Promise<MyResponseType> {
        return request('company/asset/asset_buildings/update', { data });
      },
      Show(data: ApiTypes.Asset.AssetBuildings.Show): Promise<MyResponseType> {
        return request('company/asset/asset_buildings/show', { data });
      },
      Delete(data: ApiTypes.Asset.AssetBuildings.Delete): Promise<MyResponseType> {
        return request('company/asset/asset_buildings/delete', { data });
      },
      Select(data?: ApiTypes.Asset.AssetBuildings.Select): Promise<MyResponseType> {
        return request('company/asset/asset_buildings/select', { data });
      },
    },
    AssetCarPorts: {
      List(data?: ApiTypes.Asset.AssetCarPorts.List): Promise<MyResponseType> {
        return request('company/asset/asset_car_ports/list', { data });
      },
      Store(data: ApiTypes.Asset.AssetCarPorts.Store): Promise<MyResponseType> {
        return request('company/asset/asset_car_ports/store', { data });
      },
      Update(data: ApiTypes.Asset.AssetCarPorts.Update): Promise<MyResponseType> {
        return request('company/asset/asset_car_ports/update', { data });
      },
      Show(data: ApiTypes.Asset.AssetCarPorts.Show): Promise<MyResponseType> {
        return request('company/asset/asset_car_ports/show', { data });
      },
      Delete(data: ApiTypes.Asset.AssetCarPorts.Delete): Promise<MyResponseType> {
        return request('company/asset/asset_car_ports/delete', { data });
      },
      Select(data?: ApiTypes.Asset.AssetCarPorts.Select): Promise<MyResponseType> {
        return request('company/asset/asset_car_ports/select', { data });
      },
    },
    AssetHouses: {
      List(data?: ApiTypes.Asset.AssetHouses.List): Promise<MyResponseType> {
        return request('company/asset/asset_houses/list', { data });
      },
      Store(data: ApiTypes.Asset.AssetHouses.Store): Promise<MyResponseType> {
        return request('company/asset/asset_houses/store', { data });
      },
      Update(data: ApiTypes.Asset.AssetHouses.Update): Promise<MyResponseType> {
        return request('company/asset/asset_houses/update', { data });
      },
      Show(data: ApiTypes.Asset.AssetHouses.Show): Promise<MyResponseType> {
        return request('company/asset/asset_houses/show', { data });
      },
      Delete(data: ApiTypes.Asset.AssetHouses.Delete): Promise<MyResponseType> {
        return request('company/asset/asset_houses/delete', { data });
      },
      Select(data?: ApiTypes.Asset.AssetHouses.Select): Promise<MyResponseType> {
        return request('company/asset/asset_houses/select', { data });
      },
      SelectFullName(data?: ApiTypes.Asset.AssetHouses.SelectFullName): Promise<MyResponseType> {
        return request('company/asset/asset_houses/select_full_name', { data });
      },
      Import(data: ApiTypes.Asset.AssetHouses.Import): Promise<MyResponseType> {
        return request('company/asset/asset_houses/import', { data });
      },
      Export(data: ApiTypes.Asset.AssetHouses.Export): Promise<MyResponseType> {
        return request('company/asset/asset_houses/export', { responseType: 'blob',data });
      },
    },
    AssetParkingPlaces: {
      List(data?: ApiTypes.Asset.AssetParkingPlaces.List): Promise<MyResponseType> {
        return request('company/asset/asset_parking_places/list', { data });
      },
      Store(data: ApiTypes.Asset.AssetParkingPlaces.Store): Promise<MyResponseType> {
        return request('company/asset/asset_parking_places/store', { data });
      },
      Update(data: ApiTypes.Asset.AssetParkingPlaces.Update): Promise<MyResponseType> {
        return request('company/asset/asset_parking_places/update', { data });
      },
      Show(data: ApiTypes.Asset.AssetParkingPlaces.Show): Promise<MyResponseType> {
        return request('company/asset/asset_parking_places/show', { data });
      },
      Delete(data: ApiTypes.Asset.AssetParkingPlaces.Delete): Promise<MyResponseType> {
        return request('company/asset/asset_parking_places/delete', { data });
      },
      Select(data?: ApiTypes.Asset.AssetParkingPlaces.Select): Promise<MyResponseType> {
        return request('company/asset/asset_parking_places/select', { data });
      },
    },
    AssetProjectAdmins: {
      List(data?: ApiTypes.Asset.AssetProjectAdmins.List): Promise<MyResponseType> {
        return request('company/asset/asset_project_admins/list', { data });
      },
      Store(data: ApiTypes.Asset.AssetProjectAdmins.Store): Promise<MyResponseType> {
        return request('company/asset/asset_project_admins/store', { data });
      },
      Show(data: ApiTypes.Asset.AssetProjectAdmins.Show): Promise<MyResponseType> {
        return request('company/asset/asset_project_admins/show', { data });
      },
      Delete(data: ApiTypes.Asset.AssetProjectAdmins.Delete): Promise<MyResponseType> {
        return request('company/asset/asset_project_admins/delete', { data });
      },
    },
    AssetProjects: {
      List(data?: ApiTypes.Asset.AssetProjects.List): Promise<MyResponseType> {
        return request('company/asset/asset_projects/list', { data });
      },
      Store(data: ApiTypes.Asset.AssetProjects.Store): Promise<MyResponseType> {
        return request('company/asset/asset_projects/store', { data });
      },
      Update(data: ApiTypes.Asset.AssetProjects.Update): Promise<MyResponseType> {
        return request('company/asset/asset_projects/update', { data });
      },
      ChangePropertyBrand(data: ApiTypes.Asset.AssetProjects.ChangePropertyBrand): Promise<MyResponseType> {
        return request('company/asset/asset_projects/change_property_brand', { data });
      },
      Show(data: ApiTypes.Asset.AssetProjects.Show): Promise<MyResponseType> {
        return request('company/asset/asset_projects/show', { data });
      },
      Delete(data: ApiTypes.Asset.AssetProjects.Delete): Promise<MyResponseType> {
        return request('company/asset/asset_projects/delete', { data });
      },
      Select(data?: ApiTypes.Asset.AssetProjects.Select): Promise<MyResponseType> {
        return request('company/asset/asset_projects/select', { data });
      },
    },
    AssetUnits: {
      List(data?: ApiTypes.Asset.AssetUnits.List): Promise<MyResponseType> {
        return request('company/asset/asset_units/list', { data });
      },
      Store(data: ApiTypes.Asset.AssetUnits.Store): Promise<MyResponseType> {
        return request('company/asset/asset_units/store', { data });
      },
      Update(data: ApiTypes.Asset.AssetUnits.Update): Promise<MyResponseType> {
        return request('company/asset/asset_units/update', { data });
      },
      Show(data: ApiTypes.Asset.AssetUnits.Show): Promise<MyResponseType> {
        return request('company/asset/asset_units/show', { data });
      },
      Delete(data: ApiTypes.Asset.AssetUnits.Delete): Promise<MyResponseType> {
        return request('company/asset/asset_units/delete', { data });
      },
      Select(data?: ApiTypes.Asset.AssetUnits.Select): Promise<MyResponseType> {
        return request('company/asset/asset_units/select', { data });
      },
      GridSelect(data?: ApiTypes.Asset.AssetUnits.GridSelect): Promise<MyResponseType> {
        return request('company/asset/asset_units/grid_select', { data });
      },
    },
  },
  Bill: {
    HouseBills: {
      List(data?: ApiTypes.Bill.HouseBills.List): Promise<MyResponseType> {
        return request('company/bill/house_bills/list', { data });
      },
      SummaryBillList(data?: ApiTypes.Bill.HouseBills.SummaryBillList): Promise<MyResponseType> {
        return request('company/bill/house_bills/summary_bill_list', { data });
      },
      Store(data: ApiTypes.Bill.HouseBills.Store): Promise<MyResponseType> {
        return request('company/bill/house_bills/store', { data });
      },
      Update(data: ApiTypes.Bill.HouseBills.Update): Promise<MyResponseType> {
        return request('company/bill/house_bills/update', { data });
      },
      Show(data: ApiTypes.Bill.HouseBills.Show): Promise<MyResponseType> {
        return request('company/bill/house_bills/show', { data });
      },
      SummaryShow(data: ApiTypes.Bill.HouseBills.SummaryShow): Promise<MyResponseType> {
        return request('company/bill/house_bills/summary_show', { data });
      },
      Delete(data: ApiTypes.Bill.HouseBills.Delete): Promise<MyResponseType> {
        return request('company/bill/house_bills/delete', { data });
      },
      Export(data: ApiTypes.Bill.HouseBills.Export): Promise<MyResponseType> {
        return request('company/bill/house_bills/export', { responseType: 'blob',data });
      },
    },
  },
  Collection: {
    HouseCollectionRecords: {
      List(data?: ApiTypes.Collection.HouseCollectionRecords.List): Promise<MyResponseType> {
        return request('company/collection/house_collection_records/list', { data });
      },
      Show(data: ApiTypes.Collection.HouseCollectionRecords.Show): Promise<MyResponseType> {
        return request('company/collection/house_collection_records/show', { data });
      },
      Delete(data: ApiTypes.Collection.HouseCollectionRecords.Delete): Promise<MyResponseType> {
        return request('company/collection/house_collection_records/delete', { data });
      },
    },
    HouseCollectionTasks: {
      List(data?: ApiTypes.Collection.HouseCollectionTasks.List): Promise<MyResponseType> {
        return request('company/collection/house_collection_tasks/list', { data });
      },
      Show(data: ApiTypes.Collection.HouseCollectionTasks.Show): Promise<MyResponseType> {
        return request('company/collection/house_collection_tasks/show', { data });
      },
      Delete(data: ApiTypes.Collection.HouseCollectionTasks.Delete): Promise<MyResponseType> {
        return request('company/collection/house_collection_tasks/delete', { data });
      },
    },
  },
  Common: {
    Auth: {
      Captcha(): Promise<MyResponseType> {
        return request('company/common/auth/captcha', {});
      },
      Login(data: ApiTypes.Common.Auth.Login): Promise<MyResponseType> {
        return request('company/common/auth/login', { data });
      },
      Logout(): Promise<MyResponseType> {
        return request('company/common/auth/logout', {});
      },
      Me(): Promise<MyResponseType> {
        return request('company/common/auth/me', {});
      },
      ChangePassword(data: ApiTypes.Common.Auth.ChangePassword): Promise<MyResponseType> {
        return request('company/common/auth/change_password', { data });
      },
    },
    ConvenienceServices: {
      List(data?: ApiTypes.Common.ConvenienceServices.List): Promise<MyResponseType> {
        return request('company/common/convenience_services/list', { data });
      },
      Store(data: ApiTypes.Common.ConvenienceServices.Store): Promise<MyResponseType> {
        return request('company/common/convenience_services/store', { data });
      },
      Update(data: ApiTypes.Common.ConvenienceServices.Update): Promise<MyResponseType> {
        return request('company/common/convenience_services/update', { data });
      },
      Show(data: ApiTypes.Common.ConvenienceServices.Show): Promise<MyResponseType> {
        return request('company/common/convenience_services/show', { data });
      },
      Delete(data: ApiTypes.Common.ConvenienceServices.Delete): Promise<MyResponseType> {
        return request('company/common/convenience_services/delete', { data });
      },
    },
  },
  Company: {
    CompanyEmployees: {
      List(data?: ApiTypes.Company.CompanyEmployees.List): Promise<MyResponseType> {
        return request('company/company/company_employees/list', { data });
      },
      Store(data: ApiTypes.Company.CompanyEmployees.Store): Promise<MyResponseType> {
        return request('company/company/company_employees/store', { data });
      },
      Update(data: ApiTypes.Company.CompanyEmployees.Update): Promise<MyResponseType> {
        return request('company/company/company_employees/update', { data });
      },
      Show(data: ApiTypes.Company.CompanyEmployees.Show): Promise<MyResponseType> {
        return request('company/company/company_employees/show', { data });
      },
      Delete(data: ApiTypes.Company.CompanyEmployees.Delete): Promise<MyResponseType> {
        return request('company/company/company_employees/delete', { data });
      },
      Select(data?: ApiTypes.Company.CompanyEmployees.Select): Promise<MyResponseType> {
        return request('company/company/company_employees/select', { data });
      },
    },
    CompanyPositions: {
      List(data?: ApiTypes.Company.CompanyPositions.List): Promise<MyResponseType> {
        return request('company/company/company_positions/list', { data });
      },
      Store(data: ApiTypes.Company.CompanyPositions.Store): Promise<MyResponseType> {
        return request('company/company/company_positions/store', { data });
      },
      Update(data: ApiTypes.Company.CompanyPositions.Update): Promise<MyResponseType> {
        return request('company/company/company_positions/update', { data });
      },
      Show(data: ApiTypes.Company.CompanyPositions.Show): Promise<MyResponseType> {
        return request('company/company/company_positions/show', { data });
      },
      Delete(data: ApiTypes.Company.CompanyPositions.Delete): Promise<MyResponseType> {
        return request('company/company/company_positions/delete', { data });
      },
      Select(data?: ApiTypes.Company.CompanyPositions.Select): Promise<MyResponseType> {
        return request('company/company/company_positions/select', { data });
      },
    },
    CompanyProjectReceiptAccounts: {
      List(data?: ApiTypes.Company.CompanyProjectReceiptAccounts.List): Promise<MyResponseType> {
        return request('company/company/company_project_receipt_accounts/list', { data });
      },
      Store(data: ApiTypes.Company.CompanyProjectReceiptAccounts.Store): Promise<MyResponseType> {
        return request('company/company/company_project_receipt_accounts/store', { data });
      },
      Update(data: ApiTypes.Company.CompanyProjectReceiptAccounts.Update): Promise<MyResponseType> {
        return request('company/company/company_project_receipt_accounts/update', { data });
      },
      Show(data: ApiTypes.Company.CompanyProjectReceiptAccounts.Show): Promise<MyResponseType> {
        return request('company/company/company_project_receipt_accounts/show', { data });
      },
      Delete(data: ApiTypes.Company.CompanyProjectReceiptAccounts.Delete): Promise<MyResponseType> {
        return request('company/company/company_project_receipt_accounts/delete', { data });
      },
      Select(data?: ApiTypes.Company.CompanyProjectReceiptAccounts.Select): Promise<MyResponseType> {
        return request('company/company/company_project_receipt_accounts/select', { data });
      },
    },
    CompanyPropertyBrands: {
      List(data?: ApiTypes.Company.CompanyPropertyBrands.List): Promise<MyResponseType> {
        return request('company/company/company_property_brands/list', { data });
      },
      Store(data: ApiTypes.Company.CompanyPropertyBrands.Store): Promise<MyResponseType> {
        return request('company/company/company_property_brands/store', { data });
      },
      Update(data: ApiTypes.Company.CompanyPropertyBrands.Update): Promise<MyResponseType> {
        return request('company/company/company_property_brands/update', { data });
      },
      Show(data: ApiTypes.Company.CompanyPropertyBrands.Show): Promise<MyResponseType> {
        return request('company/company/company_property_brands/show', { data });
      },
      Delete(data: ApiTypes.Company.CompanyPropertyBrands.Delete): Promise<MyResponseType> {
        return request('company/company/company_property_brands/delete', { data });
      },
      Select(data?: ApiTypes.Company.CompanyPropertyBrands.Select): Promise<MyResponseType> {
        return request('company/company/company_property_brands/select', { data });
      },
    },
    CompanyReceiptAccounts: {
      List(data?: ApiTypes.Company.CompanyReceiptAccounts.List): Promise<MyResponseType> {
        return request('company/company/company_receipt_accounts/list', { data });
      },
      Store(data: ApiTypes.Company.CompanyReceiptAccounts.Store): Promise<MyResponseType> {
        return request('company/company/company_receipt_accounts/store', { data });
      },
      Update(data: ApiTypes.Company.CompanyReceiptAccounts.Update): Promise<MyResponseType> {
        return request('company/company/company_receipt_accounts/update', { data });
      },
      Show(data: ApiTypes.Company.CompanyReceiptAccounts.Show): Promise<MyResponseType> {
        return request('company/company/company_receipt_accounts/show', { data });
      },
      Delete(data: ApiTypes.Company.CompanyReceiptAccounts.Delete): Promise<MyResponseType> {
        return request('company/company/company_receipt_accounts/delete', { data });
      },
      Select(data?: ApiTypes.Company.CompanyReceiptAccounts.Select): Promise<MyResponseType> {
        return request('company/company/company_receipt_accounts/select', { data });
      },
    },
    OrganizationProjects: {
      List(data?: ApiTypes.Company.OrganizationProjects.List): Promise<MyResponseType> {
        return request('company/company/organization_projects/list', { data });
      },
      Store(data: ApiTypes.Company.OrganizationProjects.Store): Promise<MyResponseType> {
        return request('company/company/organization_projects/store', { data });
      },
      BatchStore(data: ApiTypes.Company.OrganizationProjects.BatchStore): Promise<MyResponseType> {
        return request('company/company/organization_projects/batch_store', { data });
      },
      Rebind(data: ApiTypes.Company.OrganizationProjects.Rebind): Promise<MyResponseType> {
        return request('company/company/organization_projects/rebind', { data });
      },
      Show(data: ApiTypes.Company.OrganizationProjects.Show): Promise<MyResponseType> {
        return request('company/company/organization_projects/show', { data });
      },
      Delete(data: ApiTypes.Company.OrganizationProjects.Delete): Promise<MyResponseType> {
        return request('company/company/organization_projects/delete', { data });
      },
      DeleteByOrganization(data: ApiTypes.Company.OrganizationProjects.DeleteByOrganization): Promise<MyResponseType> {
        return request('company/company/organization_projects/delete_by_organization', { data });
      },
    },
    Organizations: {
      List(data?: ApiTypes.Company.Organizations.List): Promise<MyResponseType> {
        return request('company/company/organizations/list', { data });
      },
      TreeList(data?: ApiTypes.Company.Organizations.TreeList): Promise<MyResponseType> {
        return request('company/company/organizations/tree_list', { data });
      },
      Store(data: ApiTypes.Company.Organizations.Store): Promise<MyResponseType> {
        return request('company/company/organizations/store', { data });
      },
      Update(data: ApiTypes.Company.Organizations.Update): Promise<MyResponseType> {
        return request('company/company/organizations/update', { data });
      },
      Move(data: ApiTypes.Company.Organizations.Move): Promise<MyResponseType> {
        return request('company/company/organizations/move', { data });
      },
      Show(data: ApiTypes.Company.Organizations.Show): Promise<MyResponseType> {
        return request('company/company/organizations/show', { data });
      },
      Delete(data: ApiTypes.Company.Organizations.Delete): Promise<MyResponseType> {
        return request('company/company/organizations/delete', { data });
      },
      Select(data?: ApiTypes.Company.Organizations.Select): Promise<MyResponseType> {
        return request('company/company/organizations/select', { data });
      },
      SelectTree(data?: ApiTypes.Company.Organizations.SelectTree): Promise<MyResponseType> {
        return request('company/company/organizations/select_tree', { data });
      },
    },
  },
  Grid: {
    Grids: {
      List(data?: ApiTypes.Grid.Grids.List): Promise<MyResponseType> {
        return request('company/grid/grids/list', { data });
      },
      Store(data: ApiTypes.Grid.Grids.Store): Promise<MyResponseType> {
        return request('company/grid/grids/store', { data });
      },
      Update(data: ApiTypes.Grid.Grids.Update): Promise<MyResponseType> {
        return request('company/grid/grids/update', { data });
      },
      Show(data: ApiTypes.Grid.Grids.Show): Promise<MyResponseType> {
        return request('company/grid/grids/show', { data });
      },
      Delete(data: ApiTypes.Grid.Grids.Delete): Promise<MyResponseType> {
        return request('company/grid/grids/delete', { data });
      },
      AddManager(data: ApiTypes.Grid.Grids.AddManager): Promise<MyResponseType> {
        return request('company/grid/grids/add_manager', { data });
      },
      GetGridMark(data: ApiTypes.Grid.Grids.GetGridMark): Promise<MyResponseType> {
        return request('company/grid/grids/get_grid_mark', { data });
      },
    },
  },
  HouseCharge: {
    HouseChargeHasCarPorts: {
      List(data: ApiTypes.HouseCharge.HouseChargeHasCarPorts.List): Promise<MyResponseType> {
        return request('company/house_charge/house_charge_has_car_ports/list', { data });
      },
      Store(data: ApiTypes.HouseCharge.HouseChargeHasCarPorts.Store): Promise<MyResponseType> {
        return request('company/house_charge/house_charge_has_car_ports/store', { data });
      },
      GetChargeStandardCarPortIds(data: ApiTypes.HouseCharge.HouseChargeHasCarPorts.GetChargeStandardCarPortIds): Promise<MyResponseType> {
        return request('company/house_charge/house_charge_has_car_ports/get_charge_standard_car_port_ids', { data });
      },
      Show(data: ApiTypes.HouseCharge.HouseChargeHasCarPorts.Show): Promise<MyResponseType> {
        return request('company/house_charge/house_charge_has_car_ports/show', { data });
      },
      Delete(data: ApiTypes.HouseCharge.HouseChargeHasCarPorts.Delete): Promise<MyResponseType> {
        return request('company/house_charge/house_charge_has_car_ports/delete', { data });
      },
    },
    HouseChargeHasHouses: {
      List(data: ApiTypes.HouseCharge.HouseChargeHasHouses.List): Promise<MyResponseType> {
        return request('company/house_charge/house_charge_has_houses/list', { data });
      },
      Store(data: ApiTypes.HouseCharge.HouseChargeHasHouses.Store): Promise<MyResponseType> {
        return request('company/house_charge/house_charge_has_houses/store', { data });
      },
      GetChargeStandardHouseIds(data: ApiTypes.HouseCharge.HouseChargeHasHouses.GetChargeStandardHouseIds): Promise<MyResponseType> {
        return request('company/house_charge/house_charge_has_houses/get_charge_standard_house_ids', { data });
      },
      Show(data: ApiTypes.HouseCharge.HouseChargeHasHouses.Show): Promise<MyResponseType> {
        return request('company/house_charge/house_charge_has_houses/show', { data });
      },
      Delete(data: ApiTypes.HouseCharge.HouseChargeHasHouses.Delete): Promise<MyResponseType> {
        return request('company/house_charge/house_charge_has_houses/delete', { data });
      },
    },
    HouseChargeStandards: {
      List(data?: ApiTypes.HouseCharge.HouseChargeStandards.List): Promise<MyResponseType> {
        return request('company/house_charge/house_charge_standards/list', { data });
      },
      Store(data: ApiTypes.HouseCharge.HouseChargeStandards.Store): Promise<MyResponseType> {
        return request('company/house_charge/house_charge_standards/store', { data });
      },
      Update(data: ApiTypes.HouseCharge.HouseChargeStandards.Update): Promise<MyResponseType> {
        return request('company/house_charge/house_charge_standards/update', { data });
      },
      Show(data: ApiTypes.HouseCharge.HouseChargeStandards.Show): Promise<MyResponseType> {
        return request('company/house_charge/house_charge_standards/show', { data });
      },
      Delete(data: ApiTypes.HouseCharge.HouseChargeStandards.Delete): Promise<MyResponseType> {
        return request('company/house_charge/house_charge_standards/delete', { data });
      },
      Select(data?: ApiTypes.HouseCharge.HouseChargeStandards.Select): Promise<MyResponseType> {
        return request('company/house_charge/house_charge_standards/select', { data });
      },
    },
    HouseChargeTaskDetails: {
      List(data?: ApiTypes.HouseCharge.HouseChargeTaskDetails.List): Promise<MyResponseType> {
        return request('company/house_charge/house_charge_task_details/list', { data });
      },
      Show(data: ApiTypes.HouseCharge.HouseChargeTaskDetails.Show): Promise<MyResponseType> {
        return request('company/house_charge/house_charge_task_details/show', { data });
      },
      Delete(data: ApiTypes.HouseCharge.HouseChargeTaskDetails.Delete): Promise<MyResponseType> {
        return request('company/house_charge/house_charge_task_details/delete', { data });
      },
      CreateHouseBill(data: ApiTypes.HouseCharge.HouseChargeTaskDetails.CreateHouseBill): Promise<MyResponseType> {
        return request('company/house_charge/house_charge_task_details/create_house_bill', { data });
      },
    },
    HouseChargeTasks: {
      List(data?: ApiTypes.HouseCharge.HouseChargeTasks.List): Promise<MyResponseType> {
        return request('company/house_charge/house_charge_tasks/list', { data });
      },
      Store(data: ApiTypes.HouseCharge.HouseChargeTasks.Store): Promise<MyResponseType> {
        return request('company/house_charge/house_charge_tasks/store', { data });
      },
      Show(data: ApiTypes.HouseCharge.HouseChargeTasks.Show): Promise<MyResponseType> {
        return request('company/house_charge/house_charge_tasks/show', { data });
      },
      Delete(data: ApiTypes.HouseCharge.HouseChargeTasks.Delete): Promise<MyResponseType> {
        return request('company/house_charge/house_charge_tasks/delete', { data });
      },
      ExecuteTask(data: ApiTypes.HouseCharge.HouseChargeTasks.ExecuteTask): Promise<MyResponseType> {
        return request('company/house_charge/house_charge_tasks/execute_task', { data });
      },
    },
  },
  HouseOrder: {
    HouseOrderPayments: {
      List(data?: ApiTypes.HouseOrder.HouseOrderPayments.List): Promise<MyResponseType> {
        return request('company/house_order/house_order_payments/list', { data });
      },
      Show(data: ApiTypes.HouseOrder.HouseOrderPayments.Show): Promise<MyResponseType> {
        return request('company/house_order/house_order_payments/show', { data });
      },
      Delete(data: ApiTypes.HouseOrder.HouseOrderPayments.Delete): Promise<MyResponseType> {
        return request('company/house_order/house_order_payments/delete', { data });
      },
    },
    HouseOrderRefunds: {
      List(data?: ApiTypes.HouseOrder.HouseOrderRefunds.List): Promise<MyResponseType> {
        return request('company/house_order/house_order_refunds/list', { data });
      },
      Store(data: ApiTypes.HouseOrder.HouseOrderRefunds.Store): Promise<MyResponseType> {
        return request('company/house_order/house_order_refunds/store', { data });
      },
      Update(data: ApiTypes.HouseOrder.HouseOrderRefunds.Update): Promise<MyResponseType> {
        return request('company/house_order/house_order_refunds/update', { data });
      },
      Show(data: ApiTypes.HouseOrder.HouseOrderRefunds.Show): Promise<MyResponseType> {
        return request('company/house_order/house_order_refunds/show', { data });
      },
      Audit(data: ApiTypes.HouseOrder.HouseOrderRefunds.Audit): Promise<MyResponseType> {
        return request('company/house_order/house_order_refunds/audit', { data });
      },
      Delete(data: ApiTypes.HouseOrder.HouseOrderRefunds.Delete): Promise<MyResponseType> {
        return request('company/house_order/house_order_refunds/delete', { data });
      },
    },
    HouseOrders: {
      List(data?: ApiTypes.HouseOrder.HouseOrders.List): Promise<MyResponseType> {
        return request('company/house_order/house_orders/list', { data });
      },
      Store(data: ApiTypes.HouseOrder.HouseOrders.Store): Promise<MyResponseType> {
        return request('company/house_order/house_orders/store', { data });
      },
      Update(data: ApiTypes.HouseOrder.HouseOrders.Update): Promise<MyResponseType> {
        return request('company/house_order/house_orders/update', { data });
      },
      Audit(data: ApiTypes.HouseOrder.HouseOrders.Audit): Promise<MyResponseType> {
        return request('company/house_order/house_orders/audit', { data });
      },
      Show(data: ApiTypes.HouseOrder.HouseOrders.Show): Promise<MyResponseType> {
        return request('company/house_order/house_orders/show', { data });
      },
      Delete(data: ApiTypes.HouseOrder.HouseOrders.Delete): Promise<MyResponseType> {
        return request('company/house_order/house_orders/delete', { data });
      },
      Export(data: ApiTypes.HouseOrder.HouseOrders.Export): Promise<MyResponseType> {
        return request('company/house_order/house_orders/export', { responseType: 'blob',data });
      },
      UpdateSerialNumber(data: ApiTypes.HouseOrder.HouseOrders.UpdateSerialNumber): Promise<MyResponseType> {
        return request('company/house_order/house_orders/update_serial_number', { data });
      },
      BatchUpdateSerialNumber(data: ApiTypes.HouseOrder.HouseOrders.BatchUpdateSerialNumber): Promise<MyResponseType> {
        return request('company/house_order/house_orders/batch_update_serial_number', { data });
      },
      GetPayCode(data: ApiTypes.HouseOrder.HouseOrders.GetPayCode): Promise<MyResponseType> {
        return request('company/house_order/house_orders/get_pay_code', { data });
      },
    },
    HousePrepaymentLogs: {
      List(data?: ApiTypes.HouseOrder.HousePrepaymentLogs.List): Promise<MyResponseType> {
        return request('company/house_order/house_prepayment_logs/list', { data });
      },
      Deduct(data: ApiTypes.HouseOrder.HousePrepaymentLogs.Deduct): Promise<MyResponseType> {
        return request('company/house_order/house_prepayment_logs/deduct', { data });
      },
      Show(data: ApiTypes.HouseOrder.HousePrepaymentLogs.Show): Promise<MyResponseType> {
        return request('company/house_order/house_prepayment_logs/show', { data });
      },
      Delete(data: ApiTypes.HouseOrder.HousePrepaymentLogs.Delete): Promise<MyResponseType> {
        return request('company/house_order/house_prepayment_logs/delete', { data });
      },
    },
    HousePrepaymentPayments: {
      List(data?: ApiTypes.HouseOrder.HousePrepaymentPayments.List): Promise<MyResponseType> {
        return request('company/house_order/house_prepayment_payments/list', { data });
      },
      Show(data: ApiTypes.HouseOrder.HousePrepaymentPayments.Show): Promise<MyResponseType> {
        return request('company/house_order/house_prepayment_payments/show', { data });
      },
      Delete(data: ApiTypes.HouseOrder.HousePrepaymentPayments.Delete): Promise<MyResponseType> {
        return request('company/house_order/house_prepayment_payments/delete', { data });
      },
    },
    HousePrepaymentRefunds: {
      List(data?: ApiTypes.HouseOrder.HousePrepaymentRefunds.List): Promise<MyResponseType> {
        return request('company/house_order/house_prepayment_refunds/list', { data });
      },
      Store(data: ApiTypes.HouseOrder.HousePrepaymentRefunds.Store): Promise<MyResponseType> {
        return request('company/house_order/house_prepayment_refunds/store', { data });
      },
      Update(data: ApiTypes.HouseOrder.HousePrepaymentRefunds.Update): Promise<MyResponseType> {
        return request('company/house_order/house_prepayment_refunds/update', { data });
      },
      Show(data: ApiTypes.HouseOrder.HousePrepaymentRefunds.Show): Promise<MyResponseType> {
        return request('company/house_order/house_prepayment_refunds/show', { data });
      },
      Audit(data: ApiTypes.HouseOrder.HousePrepaymentRefunds.Audit): Promise<MyResponseType> {
        return request('company/house_order/house_prepayment_refunds/audit', { data });
      },
      Delete(data: ApiTypes.HouseOrder.HousePrepaymentRefunds.Delete): Promise<MyResponseType> {
        return request('company/house_order/house_prepayment_refunds/delete', { data });
      },
    },
    HousePrepayments: {
      List(data?: ApiTypes.HouseOrder.HousePrepayments.List): Promise<MyResponseType> {
        return request('company/house_order/house_prepayments/list', { data });
      },
      Show(data: ApiTypes.HouseOrder.HousePrepayments.Show): Promise<MyResponseType> {
        return request('company/house_order/house_prepayments/show', { data });
      },
      Delete(data: ApiTypes.HouseOrder.HousePrepayments.Delete): Promise<MyResponseType> {
        return request('company/house_order/house_prepayments/delete', { data });
      },
    },
  },
  Meter: {
    HouseMeterHasHouses: {
      List(data?: ApiTypes.Meter.HouseMeterHasHouses.List): Promise<MyResponseType> {
        return request('company/meter/house_meter_has_houses/list', { data });
      },
      StoreOrUpdate(data: ApiTypes.Meter.HouseMeterHasHouses.StoreOrUpdate): Promise<MyResponseType> {
        return request('company/meter/house_meter_has_houses/store_or_update', { data });
      },
      Show(data: ApiTypes.Meter.HouseMeterHasHouses.Show): Promise<MyResponseType> {
        return request('company/meter/house_meter_has_houses/show', { data });
      },
      Delete(data: ApiTypes.Meter.HouseMeterHasHouses.Delete): Promise<MyResponseType> {
        return request('company/meter/house_meter_has_houses/delete', { data });
      },
    },
    HouseMeterReadings: {
      List(data: ApiTypes.Meter.HouseMeterReadings.List): Promise<MyResponseType> {
        return request('company/meter/house_meter_readings/list', { data });
      },
      Store(data: ApiTypes.Meter.HouseMeterReadings.Store): Promise<MyResponseType> {
        return request('company/meter/house_meter_readings/store', { data });
      },
      Update(data: ApiTypes.Meter.HouseMeterReadings.Update): Promise<MyResponseType> {
        return request('company/meter/house_meter_readings/update', { data });
      },
      Show(data: ApiTypes.Meter.HouseMeterReadings.Show): Promise<MyResponseType> {
        return request('company/meter/house_meter_readings/show', { data });
      },
      Delete(data: ApiTypes.Meter.HouseMeterReadings.Delete): Promise<MyResponseType> {
        return request('company/meter/house_meter_readings/delete', { data });
      },
    },
    HouseMeterTaskDetails: {
      List(data?: ApiTypes.Meter.HouseMeterTaskDetails.List): Promise<MyResponseType> {
        return request('company/meter/house_meter_task_details/list', { data });
      },
      Show(data: ApiTypes.Meter.HouseMeterTaskDetails.Show): Promise<MyResponseType> {
        return request('company/meter/house_meter_task_details/show', { data });
      },
      Delete(data: ApiTypes.Meter.HouseMeterTaskDetails.Delete): Promise<MyResponseType> {
        return request('company/meter/house_meter_task_details/delete', { data });
      },
      CreateMeterBill(data: ApiTypes.Meter.HouseMeterTaskDetails.CreateMeterBill): Promise<MyResponseType> {
        return request('company/meter/house_meter_task_details/create_meter_bill', { data });
      },
    },
    HouseMeterTasks: {
      List(data?: ApiTypes.Meter.HouseMeterTasks.List): Promise<MyResponseType> {
        return request('company/meter/house_meter_tasks/list', { data });
      },
      Store(data: ApiTypes.Meter.HouseMeterTasks.Store): Promise<MyResponseType> {
        return request('company/meter/house_meter_tasks/store', { data });
      },
      Show(data: ApiTypes.Meter.HouseMeterTasks.Show): Promise<MyResponseType> {
        return request('company/meter/house_meter_tasks/show', { data });
      },
      Delete(data: ApiTypes.Meter.HouseMeterTasks.Delete): Promise<MyResponseType> {
        return request('company/meter/house_meter_tasks/delete', { data });
      },
      ExecuteMeterTasks(data: ApiTypes.Meter.HouseMeterTasks.ExecuteMeterTasks): Promise<MyResponseType> {
        return request('company/meter/house_meter_tasks/execute_meter_tasks', { data });
      },
    },
    HouseMeters: {
      List(data?: ApiTypes.Meter.HouseMeters.List): Promise<MyResponseType> {
        return request('company/meter/house_meters/list', { data });
      },
      Store(data: ApiTypes.Meter.HouseMeters.Store): Promise<MyResponseType> {
        return request('company/meter/house_meters/store', { data });
      },
      Update(data: ApiTypes.Meter.HouseMeters.Update): Promise<MyResponseType> {
        return request('company/meter/house_meters/update', { data });
      },
      Show(data: ApiTypes.Meter.HouseMeters.Show): Promise<MyResponseType> {
        return request('company/meter/house_meters/show', { data });
      },
      Delete(data: ApiTypes.Meter.HouseMeters.Delete): Promise<MyResponseType> {
        return request('company/meter/house_meters/delete', { data });
      },
    },
  },
  Msg: {
    MsgPropertyAnnouncements: {
      List(data?: ApiTypes.Msg.MsgPropertyAnnouncements.List): Promise<MyResponseType> {
        return request('company/msg/msg_property_announcements/list', { data });
      },
      Store(data: ApiTypes.Msg.MsgPropertyAnnouncements.Store): Promise<MyResponseType> {
        return request('company/msg/msg_property_announcements/store', { data });
      },
      Update(data: ApiTypes.Msg.MsgPropertyAnnouncements.Update): Promise<MyResponseType> {
        return request('company/msg/msg_property_announcements/update', { data });
      },
      Show(data: ApiTypes.Msg.MsgPropertyAnnouncements.Show): Promise<MyResponseType> {
        return request('company/msg/msg_property_announcements/show', { data });
      },
      IsPublish(data: ApiTypes.Msg.MsgPropertyAnnouncements.IsPublish): Promise<MyResponseType> {
        return request('company/msg/msg_property_announcements/is_publish', { data });
      },
      Delete(data: ApiTypes.Msg.MsgPropertyAnnouncements.Delete): Promise<MyResponseType> {
        return request('company/msg/msg_property_announcements/delete', { data });
      },
    },
  },
  Permission: {
    Roles: {
      List(data?: ApiTypes.Permission.Roles.List): Promise<MyResponseType> {
        return request('company/permission/roles/list', { data });
      },
      Store(data: ApiTypes.Permission.Roles.Store): Promise<MyResponseType> {
        return request('company/permission/roles/store', { data });
      },
      Update(data: ApiTypes.Permission.Roles.Update): Promise<MyResponseType> {
        return request('company/permission/roles/update', { data });
      },
      Delete(data: ApiTypes.Permission.Roles.Delete): Promise<MyResponseType> {
        return request('company/permission/roles/delete', { data });
      },
      Select(): Promise<MyResponseType> {
        return request('company/permission/roles/select', {});
      },
      GetPermissions(data: ApiTypes.Permission.Roles.GetPermissions): Promise<MyResponseType> {
        return request('company/permission/roles/get_permissions', { data });
      },
      SetPermissions(data: ApiTypes.Permission.Roles.SetPermissions): Promise<MyResponseType> {
        return request('company/permission/roles/set_permissions', { data });
      },
      PermissionTree(): Promise<MyResponseType> {
        return request('company/permission/roles/permission_tree', {});
      },
    },
  },
  WorkOrder: {
    HouseWorkLogs: {
      List(data: ApiTypes.WorkOrder.HouseWorkLogs.List): Promise<MyResponseType> {
        return request('company/work_order/house_work_logs/list', { data });
      },
      Store(data: ApiTypes.WorkOrder.HouseWorkLogs.Store): Promise<MyResponseType> {
        return request('company/work_order/house_work_logs/store', { data });
      },
      Show(data: ApiTypes.WorkOrder.HouseWorkLogs.Show): Promise<MyResponseType> {
        return request('company/work_order/house_work_logs/show', { data });
      },
      Delete(data: ApiTypes.WorkOrder.HouseWorkLogs.Delete): Promise<MyResponseType> {
        return request('company/work_order/house_work_logs/delete', { data });
      },
    },
    HouseWorkOrderPayments: {
      List(data?: ApiTypes.WorkOrder.HouseWorkOrderPayments.List): Promise<MyResponseType> {
        return request('company/work_order/house_work_order_payments/list', { data });
      },
      Show(data: ApiTypes.WorkOrder.HouseWorkOrderPayments.Show): Promise<MyResponseType> {
        return request('company/work_order/house_work_order_payments/show', { data });
      },
      Delete(data: ApiTypes.WorkOrder.HouseWorkOrderPayments.Delete): Promise<MyResponseType> {
        return request('company/work_order/house_work_order_payments/delete', { data });
      },
    },
    HouseWorkOrders: {
      List(data?: ApiTypes.WorkOrder.HouseWorkOrders.List): Promise<MyResponseType> {
        return request('company/work_order/house_work_orders/list', { data });
      },
      Store(data: ApiTypes.WorkOrder.HouseWorkOrders.Store): Promise<MyResponseType> {
        return request('company/work_order/house_work_orders/store', { data });
      },
      Update(data: ApiTypes.WorkOrder.HouseWorkOrders.Update): Promise<MyResponseType> {
        return request('company/work_order/house_work_orders/update', { data });
      },
      Show(data: ApiTypes.WorkOrder.HouseWorkOrders.Show): Promise<MyResponseType> {
        return request('company/work_order/house_work_orders/show', { data });
      },
      Assign(data: ApiTypes.WorkOrder.HouseWorkOrders.Assign): Promise<MyResponseType> {
        return request('company/work_order/house_work_orders/assign', { data });
      },
      Visited(data: ApiTypes.WorkOrder.HouseWorkOrders.Visited): Promise<MyResponseType> {
        return request('company/work_order/house_work_orders/visited', { data });
      },
      Delete(data: ApiTypes.WorkOrder.HouseWorkOrders.Delete): Promise<MyResponseType> {
        return request('company/work_order/house_work_orders/delete', { data });
      },
    },
  },
}